QGIS Application - Feature request #13164
Lock scale in print composer
2015-07-27 04:30 PM - Mar Tin

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21227
Description

At the moment, resizing a map frame in printcomposer changes the scale of the map, even if its manually set.

Usually | like my manually set scale and just want to adapt the map frame. Resetting the scale everytime | change the mapframe a little bit
is very tedious. | would really love to see a checkbox, maybe beneath the "Scale" box or "Lock layers for map item" box, to lock the map
scale.

History

#1 - 2015-08-21 12:07 PM - Anita Graser
- Target version set to Future Release - Lower Priority
- File Screenshot_2015-08-21_21.05.59.png added

You can lock the scale by using a data-defined override as shown in the attached screenshot. A "lock" button would be more user friendly though.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

Files

Screenshot_2015-08-21_21.05.59.png 110 KB 2015-08-21 Anita Graser
